/**
 * "Aviberry" scope and functionality.
 */ 
function Aviberry() {
	/**
	 * Replaces native <a> tag with Aviberry player.
	 * 
	 * @return void
	 */
	var embedPlayer = function() {
		jQuery("a.aviberry-player").each(function(i) {
			var flashvars = {
				"file": jQuery(this).attr("href")
			};
			var params = {
				"allowfullscreen":   "true",
				"allowscriptaccess": "always"
			};
			var attributes = {
				"id":   "player-" + this.id,
				"name": "player-" + this.id
			};
			swfobject.embedSWF(
				aviberryPlugin.AVIBERRY_PLUGIN_URL + "player.swf",
				this.id,
				aviberryPlugin.playerWidth, 
				aviberryPlugin.playerHeight,
				"9.0.0",
				"false",
				flashvars, params, attributes
			); 
		});
	};
	
	embedPlayer();
}

jQuery(document).ready(function () {
	var aviberry = new Aviberry();
});
