<?php
function do_post_request($url, array $data) {
	$post_params = array();
	foreach ($data as $key => &$val) {
		if (is_array($val)) $val = implode(',', $val);
		$post_params[] = $key . '=' . urlencode($val);
	}
	$post_string = implode('&', $post_params);

	$params = array('http' => array(
		'method' => 'POST',
		'header' => 'Content-type: application/x-www-form-urlencoded' . "\r\n" .
					'User-Agent: plimusipn.php' . "\r\n".
					'Content-length: ' . strlen($post_string),
		'content' => $post_string
	));
	
	$context = stream_context_create($params);
	$fp = fopen($url, 'rb', false, $context);
	if (!$fp)
		throw new Exception("Problem with $url, $php_errormsg");
		
	$response = stream_get_contents($fp);
	if ($response === false)
		throw new Exception("Problem reading data from $url, $php_errormsg");
		
	return $response;
}
require_once 'RPCClient.class.php';
$rpcClient = new RPCClient('http://online.aviberry.com/queue/', true);
//echo do_post_request('http://online-max.xxx/queue/', array());
$params = array(
'username' => "stupakov@aviberry.com",
'api_key' => "00000000000000000000000000000000",
'source_url' => "http://wordpress-max.xxx/dev/wp-content/uploads/2010/03/test4.flv",
'target_url' => "ftp://online-max.xxx/",
'target_filename' => "",
'source_filename' => "",
'callback_url' => "",
'params' => array (
	"formatID" => 16509,
	"presetID" => 543,
	"presetData" => array()
)
);
 
try {
	echo $rpcClient->get_and_convert($params);
} catch (Exception $E) {
	echo $rpcClient->debug . PHP_EOL;
	echo $E->getMessage();
}
?>